/usage-aggregation/within-the-hour-aggregation
1 min
POST
https://app.amberflo.io/usage-aggregation/within-the-hour-aggregation
Body Parameters
- bodyusage.aggregations.aggregation.WithinTheHourAggregationRequest.in
- meterApiNamestring
- eventsHourInSecondsinteger<int64>
- groupBystring[]
- customerIdstring
- cutOffTimesInSecondsinteger[]
Responses
200
- usage.aggregations.aggregation.WithinTheHourAggregation.out
- requestusage.aggregations.aggregation.WithinTheHourAggregationRequest.out
- meterApiNamestring
- eventsHourInSecondsinteger<int64>
- groupBystring[]
- customerIdstring
- cutOffTimesInSecondsinteger[]
- aggregationsBySecondsMapmap<string, usage.aggregations.aggregation.MeterAggregationGroup.out[]>
curl
curl --request POST \
--url https://app.amberflo.io/usage-aggregation/within-the-hour-aggregation \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/usage-aggregation/within-the-hour-aggregation", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/usage-aggregation/within-the-hour-aggregation")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/usage-aggregation/within-the-hour-aggregation"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"request": {
"meterApiName": "",
"eventsHourInSeconds": "",
"groupBy": [
""
],
"customerId": "",
"cutOffTimesInSeconds": [
0
]
},
"aggregationsBySecondsMap": ""
}